2007-11-02 16:12  alexpeshkoff

	* firebird2/configure.in (1.262):

	Fixed CORE-1558: Help people get core files in case of abort() on
	BUGCHECK

2007-08-31 10:51  paulbeach

	* firebird2/configure.in (1.261):

	Solaris Port

2007-08-28 13:19  alexpeshkoff

	* firebird2/configure.in (1.260):

	Fixed linux build in HEAD

2007-08-21 16:22  paulbeach

	* firebird2/configure.in (1.259):

	Update for Solaris Sparc too

2007-08-20 15:26  alexpeshkoff

	* firebird2/configure.in (1.258):

	Added library required for standard semaphores.

2007-05-14 13:40  alexpeshkoff

	* firebird2/configure.in (1.257):

	Fixed CORE-981 - x86_64 RPM package missing "provides"

2007-04-11 18:04  alexpeshkoff

	* firebird2/configure.in (1.256):

	Finished gcc-warnings cleanup

2007-04-04 09:30  robocop

	* firebird2/configure.in (1.255):

	Totally misc.

2007-04-03 10:25  alexpeshkoff

	* firebird2/configure.in (1.254):

	Added configure switches to build with OS-wide editline and/or ICU

2007-04-03 04:30  asfernandes

	* firebird2/autogen.sh (1.14):

	Misc

2007-04-01 12:03  alexpeshkoff

	* firebird2/configure.in (1.253):

	Patch by Damyan Ivanov for Mipsel

2007-03-30 17:15  alexpeshkoff

	* firebird2/autogen.sh (1.13):

	make it compatible with wider range of shells

2007-03-09 11:32  paulbeach

	* firebird2/configure.in (1.252):

	Firebird 2.0 MacOS Classic Intel Build

2007-02-06 13:17  aafemt

	* firebird2/configure.in (1.251):

	Fix MinGW build

2006-12-08 19:32  alexpeshkoff

	* firebird2/configure.in (1.250):

	Diego Petteno patch for Gentoo/FreBSD

2006-11-19 16:40  alexpeshkoff

	* firebird2/configure.in (1.249):

	Applied patch by Michal Kubecek

2006-11-09 08:43  paulbeach

	* firebird2/configure.in (1.248):

	Correct typo

2006-11-08 14:00  paulbeach

	* firebird2/configure.in (1.247):

	Configure.in should work out alignment correctly for non X86
	platforms

2006-10-23 13:43  alexpeshkoff

	* firebird2/configure.in (1.246):

	applied patch by Damyan Ivanov for PowepPC

2006-07-25 15:03  kkuznetsov

	* firebird2/configure.in (1.245):



	Fix compile error in sort.cpp

2006-06-05 13:11  aafemt

	* firebird2/configure.in (1.244):

	Get rid of YACC

2006-05-19 17:16  alexpeshkoff

	* firebird2/configure.in (1.243):

	avoid use of libstdc++ when not required

2006-04-25 19:06  alexpeshkoff

	* firebird2/configure.in (1.242):

	added slackware support to configure.in

2006-03-25 08:07  robocop

	* firebird2/configure.in (1.241):

	Only strcmp and strncmp have common names across all plartforms.
	Cater for differences in strcasecmp/stricmp and
	strncasecmp/strnicmp.

2006-03-19 16:37  alexpeshkoff

	* firebird2/configure.in (1.240):

	Let FreeBSD use editline by default

2006-03-19 14:56  alexpeshkoff

	* firebird2/configure.in (1.239):

	fixing build on FreeBSD/amd64

2006-03-09 14:26  kkuznetsov

	* firebird2/configure.in (1.238):

	Fix packaging on SOLARIS sparc port

2005-12-23 10:21  alexpeshkoff

	* firebird2/configure.in (1.237):

	test presence of gmtime_r()

2005-12-20 09:18  aafemt

	* firebird2/configure.in (1.236):

	deleted libfbcommon as was suggested by Jim

2005-09-29 11:22  aafemt

	* firebird2/configure.in (1.235):

	MinGW also can do threaded CS

2005-08-24 14:12  kkuznetsov

	* firebird2/configure.in (1.234):

	Allowing using SERVICE_THREAD in CLASSIC server as platform option

2005-08-09 08:51  kkuznetsov

	* firebird2/configure.in (1.233):

	Making icu debug build of icu when building debug FB

2005-08-04 14:33  alexpeshkoff

	* firebird2/configure.in (1.232):

	Set default for x86 linux to build with editline

2005-08-04 12:36  alexpeshkoff

	* firebird2/configure.in (1.231):

	Make output better understandable on 64-bit native platforms

2005-06-22 15:48  kkuznetsov

	* firebird2/configure.in (1.230):

	More plays with icu on Solaris x86

2005-06-16 07:11  aafemt

	* firebird2/clean.sh (1.13):

	Revert to common cleaning procedure

2005-06-15 07:31  aafemt

	* firebird2/configure.in (1.229):

	MinGW port of ICU

2005-06-07 07:09  aafemt

	* firebird2/configure.in (1.228):

	More appropriate place to configure ICU

2005-06-02 10:00  kkuznetsov

	* firebird2/configure.in (1.227):

	First step to build icu on others then Linux Linux should work but
	must be retested

2005-05-28 00:14  asfernandes

	* firebird2/: autogen.sh (1.12), configure.in (1.226):

	Merge INTL branch into HEAD

2005-04-29 20:24  alexpeshkoff

	* firebird2/configure.in (1.225):

	New scripts for linux

2005-04-20 16:29  kkuznetsov

	* firebird2/configure.in (1.224):

	Make Solaris install scripts "unified" for sparc and x86

2005-04-20 09:47  kkuznetsov

	* firebird2/configure.in (1.223):

	Revert my previos commit as autoconf fails with 2 equally filenames
	beetween case

2005-04-19 10:05  kkuznetsov

	* firebird2/configure.in (1.222):

	misc

2005-04-18 18:06  kkuznetsov

	* firebird2/configure.in (1.221):

	Try to pick-up Ray Holme Solaris spark32 port into FB2 (not tested
	yet)

2005-04-06 17:39  alexpeshkoff

	* firebird2/clean.sh (1.12):

	Force clean.sh to exit successfully

2005-03-24 12:13  aafemt

	* firebird2/configure.in (1.220):

	Comment out dirs with broken files

2005-03-23 11:24  aafemt

	* firebird2/configure.in (1.219):

	Missed directories

2005-03-20 12:00  alexpeshkoff

	* firebird2/configure.in (1.218):

	fix examples in package

2005-03-13 17:12  alexpeshkoff

	* firebird2/configure.in (1.217):

	merge 1.5 install files to 2.0

2005-03-11 16:00  kkuznetsov

	* firebird2/configure.in (1.216):

	Solaris install system

2005-02-24 18:09  alexpeshkoff

	* firebird2/configure.in (1.215):

	removed dependency from libssl

2005-02-16 11:29  kkuznetsov

	* firebird2/configure.in (1.214):

	FW fixes from 1.5.2

2004-12-28 22:07  skidder

	* firebird2/configure.in (1.213):

	Add support for generic Linux builds (misc platforms)

2004-12-25 10:43  robocop

	* firebird2/configure.in (1.212):

	Misc.

2004-12-24 10:35  kkuznetsov

	* firebird2/configure.in (1.211):

	Some things is moved from R1.5.1.  Starting separating of defines
	accoding SOLARIS -- any threading modes SOLARIS_MT - solaris with
	Sun threading model current nothing - solaris with posix threading
	model

2004-11-07 14:43  alexpeshkoff

	* firebird2/configure.in (1.210):

	security fixes - added check for libssl and gsec.client build

2004-11-04 20:14  skidder

	* firebird2/configure.in (1.209):

	Slightly adjust Dmitry's Firebird::TimeStamp class to make it more
	useful, change is coordiated with Dmitry. Use thread-safe
	localtime_r routine when it is available

2004-10-25 11:45  aafemt

	* firebird2/configure.in (1.208):

	1) Multithread for Win32. 2) Space is important sometimes

2004-10-24 11:06  skidder

	* firebird2/configure.in (1.207):

	Add support for biarch builds

2004-10-18 01:48  skidder

	* firebird2/configure.in (1.206):

	Add support for daily builds

2004-10-04 07:23  skidder

	* firebird2/: acx_pthread.m4 (1.1), configure.in (1.205):

	Use GNU autoconf macros to determine switches required to generate
	threaded binaries properly

2004-09-30 18:29  skidder

	* firebird2/configure.in (1.204):

	Correctly build on non-x86 SuSE linux

2004-09-28 07:56  stryqx

	* firebird2/autogen.sh (1.11):

	MFB: Allow location of autoconf and libtool binaries to be
	specified as environment variables.

2004-09-15 11:36  kkuznetsov

	* firebird2/configure.in (1.203):

	added new directory remote/os/sun to mkdir -p

2004-08-19 15:50  kkuznetsov

	* firebird2/configure.in (1.202):

	Putted SolX86 install files from 1.5.1 to HEAD

2004-06-29 17:16  kkuznetsov

	* firebird2/configure.in (1.201):

	Fix for not adding both lpthread and lthread on Solaris|solx86

2004-05-21 01:04  skidder

	* firebird2/: clean.sh (1.11), configure.in (1.200):

	NetBSD port from James K. Lowden

2004-05-13 16:04  kkuznetsov

	* firebird2/configure.in (1.199):

	Add check for caddr_t to fix compile error on Solaris munmap, some
	more warnings to prefix solx86gcc, comment historycal pragmas

2004-05-03 13:31  eku

	* firebird2/configure.in (1.198):

	Remainings of ib_stdio

2004-05-02 10:53  skidder

	* firebird2/configure.in (1.197):

	Fix POSIX build

2004-05-01 01:03  brodsom

	* firebird2/configure.in (1.196):

	-Modify object generation to be dependent on type (boot, std,
	superserver and superclient) not module. This saves 8% time in a
	full build.

2004-04-13 12:41  aafemt

	* firebird2/configure.in (1.195):

	Another dir for win32 in temp

2004-04-09 02:23  skidder

	* firebird2/configure.in (1.194):

	Use llrint() on platforms where it is available

2004-03-30 12:04  aafemt

	* firebird2/configure.in (1.193):

	Missed dirs in temp

2004-03-26 00:12  skidder

	* firebird2/configure.in (1.192):

	1. POSIX build libraries export only public API. 2. Unify exports
	for PROD_BUILD and DEV_BUILD. 3. Support for context memory pools.
	4. Memory manager has lower memory overhead exceptionally on 64 bit
	targets

2004-01-29 07:31  skidder

	* firebird2/configure.in (1.191):

	Fix some packaging issues with non-x86 Linux ports. Prepare AMD64
	port for public testing

2004-01-12 05:58  skidder

	* firebird2/configure.in (1.190):

	Add prefix for my machine

2004-01-07 01:31  brodsom

	* firebird2/configure.in (1.189):

	Fix Posix build after - utils.cpp creation - WAL/JOURNAL removal

2003-11-23 17:37  skidder

	* firebird2/configure.in (1.188):

	Correction.

2003-11-23 17:27  skidder

	* firebird2/configure.in (1.187):

	Enable support for raw devices by default

2003-11-21 20:52  kkuznetsov

	* firebird2/configure.in (1.186):

	first trying gcc for solx86

2003-11-20 09:13  eku

	* firebird2/configure.in (1.185):

	Moved the definition of socklen_t to autoconfig.h. It's used in
	inet.ccp and server.cpp.

2003-11-18 04:11  brodsom

	* firebird2/configure.in (1.184):

	-Fix threading in MinGW (and the failed tests in fbtcs)

2003-11-13 04:41  stryqx

	* firebird2/configure.in (1.183):

	Fix build on FreeBSD 4.x

2003-11-13 01:53  stryqx

	* firebird2/configure.in (1.182):

	Fix build on FreeBSD 4.x

2003-11-10 12:25  aafemt

	* firebird2/: autogen.sh (1.10), configure.in (1.181):

	downgrade autoconf requirement to 2.56

2003-11-06 10:31  stryqx

	* firebird2/configure.in (1.180):

	Look for the install script template for FreeBSD in the right
	location.

2003-11-06 10:25  stryqx

	* firebird2/configure.in (1.179):

	Let configure know about the FreeBSD install script.

2003-11-05 17:53  brodsom

	* firebird2/configure.in (1.178):

	Add journal and archive to posix build

2003-11-04 09:34  eku

	* firebird2/configure.in (1.177):

	Added comment as requested by Claudio.

2003-11-04 07:45  eku

	* firebird2/configure.in (1.176):

	Work around a problem with some Linux distros.

2003-11-04 07:25  eku

	* firebird2/configure.in (1.175):

	Undo my latest changes as requested by Nickolay Samofatov.

2003-10-31 13:41  eku

	* firebird2/configure.in (1.174):

	Let autoconf control whether -DSUPERCLIENT is used or not.

2003-10-31 12:33  eku

	* firebird2/configure.in (1.173):

	Cleanup usage of gettimeofday.

2003-10-30 13:47  eku

	* firebird2/configure.in (1.172):

	Spelling.

2003-10-30 10:49  eku

	* firebird2/configure.in (1.171):

	Detect POSIX threads support with autoconf. Some code cleanup.

2003-10-30 09:03  eku

	* firebird2/configure.in (1.170):

	Added missing autoheader templates.

2003-10-30 08:26  eku

	* firebird2/: autogen.sh (1.9), configure.in (1.169):

	Use autoheader to generate config.h.in.

2003-10-29 08:57  eku

	* firebird2/configure.in (1.168):

	Removed redundant test for socklen_t. Minor cleanup.

2003-10-27 19:42  skidder

	* firebird2/configure.in (1.167):

	Forward port Solaris fixes

2003-10-27 18:53  alexpeshkoff

	* firebird2/configure.in (1.166):

	Port SS build changes from 1_5_Release

2003-10-27 02:14  brodsom

	* firebird2/configure.in (1.165):

	-Add resources to iscguard

2003-10-24 01:15  brodsom

	* firebird2/configure.in (1.164):

	Set EDITLINE_FLG=N in Linux until the editline problem is solved.

2003-10-20 03:44  brodsom

	* firebird2/configure.in (1.163):

	Add gdef and qli to posix ss build (needed for the tcs)

2003-10-19 08:58  stryqx

	* firebird2/configure.in (1.162):

	Make configure summary report match reality.

2003-10-14 15:09  eku

	* firebird2/configure.in (1.161):

	SINIX-Z: POSIX stylish sigaction.

2003-10-11 01:56  skidder

	* firebird2/configure.in (1.160):

	Forward port Sparc fixes

2003-09-30 21:26  brodsom

	* firebird2/configure.in (1.159):

	Correction

2003-09-30 19:48  brodsom

	* firebird2/configure.in (1.158):

	Lost commit

2003-09-30 11:41  fsg

	* firebird2/configure.in (1.157):

	small fixes for ftn.cpp, include fbudf for the linux build FSG

2003-09-24 00:38  skidder

	* firebird2/configure.in (1.156):

	Make Firebird 2.0 Linux CS install prefix-aware and secure

2003-09-08 22:23  skidder

	* firebird2/configure.in (1.155):

	NBACKUP-related changes and some clean-up

2003-08-22 12:26  aafemt

	* firebird2/configure.in (1.154):

	Make intl compilable

2003-08-12 12:06  eku

	* firebird2/configure.in (1.153):

	Use autoconf to do it right :-)

2003-08-07 19:10  brodsom

	* firebird2/configure.in (1.152):

	Patch MinGW after Nickolay changes

2003-08-06 17:41  brodsom

	* firebird2/clean.sh (1.10):

	Correction

2003-08-04 01:17  brodsom

	* firebird2/configure.in (1.151):

	Solve the examples failure in Linux build

2003-07-17 04:15  brodsom

	* firebird2/configure.in (1.150):

	Restore examples build (and add intlbld)

2003-07-15 12:52  brodsom

	* firebird2/configure.in (1.149):

	Split utilities dir

2003-07-15 12:49  aafemt

	* firebird2/Makefile.in (1.5):

	A bit better way to pass target over to sub-makefile

2003-07-15 01:20  brodsom

	* firebird2/configure.in (1.148):

	Move win32 specific sources in remote to remote/os/win32

2003-07-14 11:45  brodsom

	* firebird2/: clean.sh (1.9), configure.in (1.147):

	Update

2003-07-12 11:55  brodsom

	* firebird2/configure.in (1.146):

	Clean

2003-07-11 15:28  brodsom

	* firebird2/configure.in (1.145):

	Move examples builds to examples directory

2003-07-11 05:25  brodsom

	* firebird2/clean.sh (1.8):

	Correction

2003-07-11 04:28  brodsom

	* firebird2/configure.in (1.144):

	Updates

2003-07-09 03:20  brodsom

	* firebird2/configure.in (1.143):

	-Correction due to 'install' move

2003-07-08 14:23  brodsom

	* firebird2/: Makefile.in (1.4), clean.sh (1.7), configure.in
	(1.142):

	Posix build move build process and temporary databases to 'gen'

2003-07-08 03:08  brodsom

	* firebird2/clean.sh (1.6):

	Correction

2003-07-08 03:04  brodsom

	* firebird2/: clean.sh (1.5), configure.in (1.141):

	-Split posix build output between 'gen' and 'temp'(compiler .o .d)
	- Remove some redundant variables

2003-07-06 03:08  brodsom

	* firebird2/: clean.sh (1.4), configure.in (1.140):

	Move make.new to builds

2003-07-04 05:31  brodsom

	* firebird2/clean.sh (1.3):

	Add more files to clean

2003-07-03 17:48  brodsom

	* firebird2/clean.sh (1.2):

	add extension to identify type

2003-07-03 16:44  brodsom

	* firebird2/configure.in (1.139):

	Remove unused directory creation

2003-07-03 16:29  brodsom

	* firebird2/clean.sh (1.1):

	Add script to clean build generated files

2003-06-15 08:03  stryqx

	* firebird2/configure.in (1.138):

	The check for socklen_t fails on FreeBSD as socklen_t is defined in
	sys/socket.h. Write a specific check for this on FreeBSD.

2003-06-15 07:57  stryqx

	* firebird2/configure.in (1.137):

	Fix a typo.

2003-06-13 03:17  skywalker

	* firebird2/configure.in (1.136):

	Create a required directory for super

2003-05-25 12:44  fsg

	* firebird2/configure.in (1.135):

	Reenabled ada, fortran, cobol and pascal for gpre Install *udf.sql
	into the UDF-directory for linux builds

2003-05-14 07:39  eku

	* firebird2/configure.in (1.134):

	Check for the function mkstemp(). If it's not available, fall back
	to mktemp().

2003-04-17 20:42  bellardo

	* firebird2/configure.in (1.133):

	Don't forget to create the darwin specific OS directories in gen/*

2003-04-17 20:41  bellardo

	* firebird2/autogen.sh (1.8):

	Fix the permissions on the configure script, just in case it is
	needed (like on Darwin)

2003-03-21 12:53  aafemt

	* firebird2/configure.in (1.132):

	Few improvements for Win32 SS build procedure

2003-03-20 12:11  aafemt

	* firebird2/configure.in (1.131):

	Version information is concentrated in src/misc/writeBuildNum.sh

2003-03-13 16:46  alexpeshkoff

	* firebird2/configure.in (1.130):

	Dropped HAVE_*EXIT defines

2003-03-13 07:50  eku

	* firebird2/: autogen.sh (1.7), aclocal.m4 (1.2):

	Fixed problems with newer vesions of libtool.

2003-03-12 13:39  eku

	* firebird2/configure.in (1.129):

	Editline changes:  o got a FB-compliant makefile  o uses configure
	o eventually compiles on SINIX-Z

2003-03-12 12:57  skidder

	* firebird2/configure.in (1.128):

	Getting ready for Beta4

2003-03-07 08:41  eku

	* firebird2/: aclocal.m4 (1.1), autogen.sh (1.6), configure.in
	(1.127):

	Started to use libtool (http://www.gnu.org/software/libtool/). It
	will eventually handle all platform specific compile and link
	issues! Removed generated files from the view (config.guess and
	config.sub).

2003-03-06 14:22  brodsom

	* firebird2/configure.in (1.126):

	Remove lstdc++ from mingw platform libs

2003-03-06 02:14  brodsom

	* firebird2/configure.in (1.125):

	Changes fro MINGW build (forgoten commit) -Add directory

2003-03-05 16:38  brodsom

	* firebird2/configure.in (1.124):

	Changes for MINGW build -Add shrlib_ext value for the shared
	library extension -Add some libraries to windows build -Add some
	some needed directories

2003-03-03 07:02  aafemt

	* firebird2/configure.in (1.123):

	Let config.status make directories

2003-02-25 02:12  brodsom

	* firebird2/configure.in (1.122):

	Add some needed directories

2003-02-22 22:48  skidder

	* firebird2/configure.in (1.121):

	Get ready for Beta3

2003-02-20 07:36  eku

	* firebird2/configure.in (1.120):

	XPG defines that prototypes for malloc/free have to be defined in
	stdlib.h.  malloc.h is deprecated - removed.

2003-02-18 13:38  eku

	* firebird2/configure.in (1.119):

	Added a test for <sys/socket.h> needed in remote/inet.cpp.

2003-02-18 06:24  aafemt

	* firebird2/configure.in (1.118):

	WCHAR --> UCS2_CHAR and some cleanup around it

2003-02-13 23:49  bellardo

	* firebird2/configure.in (1.117):

	add a configure check for malloc.h

2003-02-13 13:00  eku

	* firebird2/configure.in (1.116):

	Removed the test for 'const'

2003-02-12 07:09  bellardo

	* firebird2/configure.in (1.115):

	3 new tests for darwin: expanded semun expanded 64 bit io dirname

2003-02-11 06:13  aafemt

	* firebird2/configure.in (1.114):

	Little step towards MinGW build. Physical IO module is
	platform-depended now

2003-02-10 16:59  skidder

	* firebird2/configure.in (1.113):

	Mark linux packages as Beta2

2003-02-10 10:39  eku

	* firebird2/configure.in (1.112):

	Completed the changes made by Dmitri Sibiriak.

2003-02-10 06:42  aafemt

	* firebird2/configure.in (1.111):

	Some cleanup

2003-01-29 16:29  skidder

	* firebird2/configure.in (1.110):

	Change package prefix

2003-01-16 17:34  skidder

	* firebird2/configure.in (1.109):

	Fix typo in my latest commit

2003-01-16 17:27  skidder

	* firebird2/configure.in (1.108):

	Add FB_IPC_NAME parameter

2002-12-31 19:15  nmcc

	* firebird2/configure.in (1.107):

	Move sfio test to Solaris specific location.  Change to
	--with-sfio=path_to_sfio defaulting to no and substitute values in
	to makefiles.

	This allows Classic to be built and run without sfio using standard
	Solaris stdio while problems between sfio, ib_stdio etc and C++ are
	sorted out for superserver.

2002-12-29 15:15  nmcc

	* firebird2/configure.in (1.106):

	Update Solaris Sparc options.

2002-12-12 13:08  dimitr

	* firebird2/configure.in (1.105):

	Changes by Dimitry Sibiryakov.

2002-12-11 21:52  skidder

	* firebird2/configure.in (1.104):

	Little changes to build stable Linux packages

2002-12-06 14:44  eku

	* firebird2/configure.in (1.103):

	Removed hooks for BASIC/PL1 in gpre, as the support has been
	dropped before IB4.

2002-12-03 14:58  eku

	* firebird2/configure.in (1.102):

	Disabled gpre's BASIC and PL/1 support in configure. There's no
	such implementation.

2002-12-03 12:47  eku

	* firebird2/configure.in (1.101):

	Prepared for Alpha 5.

2002-12-02 12:17  eku

	* firebird2/configure.in (1.100):

	gpre's built-in lannguage support is now an autoconf option. C/C++
	are mandatory, all others are optional. Default all=off.  Type
	'configure --help' for details.

2002-12-02 09:25  eku

	* firebird2/configure.in (1.99):

	Removed inconsistencies pointed out by Claudio Valderr.  Replaced
	'defined(__osf__) && defined(__alpha)' with 'SIZEOF_LONG == 8'.
	New macro FB_NELEM calculates the number of elements in an array.

2002-11-30 16:08  skidder

	* firebird2/configure.in (1.98):

	New changes by Dmitry Emanov. Configuration manager and Windows
	build environment improvements

2002-11-22 15:31  eku

	* firebird2/configure.in (1.97):

	Added default rule for currently unsupported systems.

2002-11-22 15:11  dimitr

	* firebird2/configure.in (1.96):

	Cleanup by Dimitry Sibiryakov.

2002-11-21 12:54  kkuznetsov

	* firebird2/configure.in (1.95):

	Add check for sun threads on Solx86

2002-11-21 09:56  eku

	* firebird2/configure.in (1.94):

	Autoconf: check for header files sys/ipc.h and sys/file.h.

2002-11-19 16:31  skidder

	* firebird2/configure.in (1.93):

	Removed check for xdr_hyper

2002-11-18 14:22  eku

	* firebird2/configure.in (1.92):

	Autoconf:  o added tests for nttab.h sys/mntent.h sys/mnttab.h	o
	added tests for getcwd getwd setmntent getmntent  o ISC_PREFIX
	renamed to FB_PREFIX  o major code cleanup in src/jrd/isc_file.cpp

	Removed platform-specific files from posix/Makefile.in.firebird.

2002-11-18 03:57  skywalker

	* firebird2/: Makefile.in (1.3), configure.in (1.91):

	Remove firebird_super target from makefile, when super is chosen
	firebird target will be the super edition.  Configure.in changed to
	build some install files from new locations.

2002-11-16 03:17  skywalker

	* firebird2/configure.in (1.90):

	Change rpmbuild to not need root access Change install to only put
	in 'compatibility' libgds.so links if the files do not already
	exist.

2002-11-15 11:55  kkuznetsov

	* firebird2/configure.in (1.89):

	Fix check for xdr staff

2002-11-14 09:18  eku

	* firebird2/configure.in (1.88):

	Flags are named XXX_FLG.

2002-11-14 09:01  kkuznetsov

	* firebird2/configure.in (1.87):

	Solaris always chech for -lnsl

2002-11-14 08:35  eku

	* firebird2/configure.in (1.86):

	Autoconf cleanup:  o added tests for setitimer	o updated
	config.h.in and autoconfig_msvc.h (the latter may be incorrect)  o
	replaced NO_ITIMER with HAVE_SETITIMER

2002-11-14 07:53  eku

	* firebird2/configure.in (1.85):

	Set defaults for lock manager and editline per platform.

2002-11-13 13:27  eku

	* firebird2/configure.in (1.84):

	Autoconf cleanup:  o added test for the header file mntent.h  o
	replaced NON_MNTENT with !HAVE_MNTENT_H

	Removed some left-overs from Sean's DECOSF removal.

2002-11-13 11:12  eku

	* firebird2/configure.in (1.83):

	Help text should show the correct default value.

2002-11-13 08:07  eku

	* firebird2/configure.in (1.82):

	Editline cleanup:  o removed obsolete readline tests  o renamed
	readline into editline	o editline is not enabled by default,
	enabled with '--with-editline'

2002-11-12 14:46  eku

	* firebird2/configure.in (1.81):

	Autoconf: check for aio.h, pread and pwrite

2002-11-12 14:15  eku

	* firebird2/configure.in (1.80):

	Autoconf: check for getpgrp

2002-11-12 13:30  kkuznetsov

	* firebird2/configure.in (1.79):

	Add check for native xdr

2002-11-12 10:17  eku

	* firebird2/configure.in (1.78):

	Autoconf: check for semun

2002-11-12 08:50  eku

	* firebird2/Makefile.in (1.2):

	Added more targets to the top makefile.

2002-11-12 08:46  eku

	* firebird2/configure.in (1.77):

	Separated installation and packaging rules per platform.

2002-11-11 17:04  skywalker

	* firebird2/configure.in (1.76):

	Change location of Makefile.install to
	arch-specific/${MAKEFILE_PREFIX} This 'should' work for Erik as
	well.

2002-11-11 15:08  skywalker

	* firebird2/configure.in (1.75):

	Change of package id to Alpha3

2002-11-11 14:09  eku

	* firebird2/configure.in (1.74):

	Moved plaform specific installation and packaging rules from
	builds/posix/Makefile.in.install and
	builds/posix/Makefile.in.firebird to
	src/install/arch-specific/<platform>/Makefile.in.

2002-11-11 06:54  skywalker

	* firebird2/configure.in (1.73):

	Changes to packaging of linux classic build

2002-11-09 14:23  skywalker

	* firebird2/configure.in (1.72):

	Slight changes for linux compile to work with new ConfigRoot class

2002-11-07 15:06  eku

	* firebird2/configure.in (1.71):

	Fixed C&P error.

2002-11-07 14:05  eku

	* firebird2/configure.in (1.70):

	Autoconfigured pipe name for wnet protocol.

2002-11-06 21:37  skidder

	* firebird2/configure.in (1.69):

	Make new config stuff compile on POSIX

2002-11-06 21:25  skidder

	* firebird2/configure.in (1.68):

	Make new config stuff compile on POSIX

2002-11-06 14:38  dimitr

	* firebird2/configure.in (1.67):

	Corrected service name.

2002-11-06 14:03  dimitr

	* firebird2/configure.in (1.66):

	no message

2002-11-06 13:58  dimitr

	* firebird2/configure.in (1.65):

	We're going to support win32 builds made with mingw.

2002-11-06 13:36  eku

	* firebird2/configure.in (1.64):

	Now you can specify the service name and port of the DB server via
	configure

	  --with-service-name	  specify inet service name
	(default=gds_db)
	  --with-service-port	  specify inet service port (default=3050)

	So it's possible to run FB1 and FB2 together on the same machine.

2002-11-05 17:48  skywalker

	* firebird2/configure.in (1.63):

	Added config_root.cpp file for posix.

2002-11-05 14:15  kkuznetsov

	* firebird2/configure.in (1.62):

	Add check for crypt.h

2002-11-05 02:39  nmcc

	* firebird2/configure.in (1.61):

	Add Solaris Sparc as valid target.

2002-11-05 02:36  nmcc

	* firebird2/autogen.sh (1.5):

	Do not issue warning when already been told not to run configure.

2002-11-04 14:57  eku

	* firebird2/configure.in (1.60):

	More status vector cleanups (ISC_STATUS_LENGTH).  Autoconf checks
	for xdr_hyper.

2002-11-04 09:07  eku

	* firebird2/configure.in (1.59):

	Fixed C&P error in help text.

2002-11-02 18:25  skidder

	* firebird2/configure.in (1.58):

	Make engine compilable on systems that apply autoconf version
	mentioned in AC_PREREQ like Mandrake 9.0

2002-11-01 14:22  kkuznetsov

	* firebird2/configure.in (1.57):

	[no log message]

2002-10-30 15:49  kkuznetsov

	* firebird2/configure.in (1.56):

	Add search for SFIO library

2002-10-29 21:20  skidder

	* firebird2/configure.in (1.55):

	Merging changes from skidder branch - explicit locks, savepoints,
	build system changes

2002-10-16 10:38  eku

	* firebird2/configure.in (1.54):

	Autoconf: check for function getpagesize.

2002-10-10 08:48  eku

	* firebird2/configure.in (1.53):

	Compilation of the editline library depends on configure switches.

2002-10-07 03:29  skywalker

	* firebird2/configure.in (1.52):

	A few makefile dependancies fixed.  Started work on upgrading rpm
	build scripts Fix makefiles for super build Exchange editline for
	readline in isql

2002-10-01 12:38  eku

	* firebird2/configure.in (1.51):

	Autoconf: the usage of the readline library can be turned off with
		 '--without-readline'.

2002-10-01 07:47  eku

	* firebird2/configure.in (1.50):

	Merged the support for databases on raw devices from FB1 into FB2.
	Added switch '--enable-raw-devices' to configure to enable this
	feature (default=off). Currently only supported on UNIX platforms.

2002-09-23 09:49  eku

	* firebird2/configure.in (1.49):

	Fixed syntax error introduced with previous check-in.

2002-09-20 20:58  skidder

	* firebird2/configure.in (1.48):

	Fixed to make build work w/o config file

2002-09-20 10:28  eku

	* firebird2/configure.in (1.47):

	Do not hard-code the value of ISC_PREFIX, but set it to
	installation prefix (--prefix option).

2002-09-19 12:51  eku

	* firebird2/configure.in (1.46):

	Autoconf:  o check for the function initgroups (replaces
	NOINITGROUPS define)  o the define INTL (common.h) has been
	removed, since it is only set but not	 used anywhere

2002-09-18 14:50  eku

	* firebird2/configure.in (1.45):

	Autoconf cleanup:  o use predefined macros to test for sys/wait.h,
	time.h and sys/time.h  o search strcasecmp in libresolv only if
	strcasecmp and stricmp are not in libc	o use predefined macro
	AC_SYS_LARGEFILE to determine 64Bit I/O  o determine the alignment
	of long and double (ALIGNMENT,DOUBLE_ALIGN),	still need to write
	a test for FB_ALIGN!

2002-09-17 07:58  eku

	* firebird2/configure.in (1.44):

	Autoconf cleanup:  o since the define 'VAX' was only used to tell
	that the byte order is	  LITTLE_ENDIAN (it have nothing else to do
	with the VAX computer family)	 it can safely replaced with
	'!WORDS_BIGENDIAN'.   o check if pointers are 64 bit   o replaced
	HAS_64BIT_POINTERS with 'SIZEOF_VOID_P == 8'

2002-09-11 13:30  eku

	* firebird2/: autogen.sh (1.4), configure.in (1.43):

	Autoconf enhancements:	o autoconf v2.53 and later is now required
	to generate configure	 (sorry, but it makes many tasks easier)  o
	improved tests for mmap, socklen_t and offt_64	o added tests for
	atexit, on_exit, (v)fork, set(p)grp, setpgid and flock	o added
	test for the keyword 'volatile'  o fixed errors in configure.in  o
	updated config.h.in and autoconfig_msvc.h (the latter may be
	incorrect)  o replaced VOLATILE by volatile  o removed SETPGRP and
	ATEXIT	o replaced NO_FLOCK by HAVE_FLOCK  o SIG_FPTR cleanup  o
	vfork cleanup

2002-09-10 09:56  eku

	* firebird2/configure.in (1.42):

	Fixed problems with '--with-lock-manager'.

2002-09-06 09:13  eku

	* firebird2/configure.in (1.41):

	SINIX-Z packaging

2002-09-03 15:25  eku

	* firebird2/configure.in (1.40):

	Added the new configure option '--with-lock-manager' that controlls
	the build of the manager binary. This option is only valid for CS
	architecture.  Replaced '#' with the correct M4 macro for comments
	'dnl'.

2002-08-28 10:02  eku

	* firebird2/configure.in (1.39):

	Another C&P error.

2002-08-28 09:51  eku

	* firebird2/configure.in (1.38):

	Fixed C&P error.

2002-08-28 09:03  eku

	* firebird2/configure.in (1.37):

	Check which network libraries (socket, nsl, resolv) are needed.
	configure will set the variable LIBS to the correct value. Setting
	this in prefix.XXX should no longer be neccessary. If it doesn't
	work for you, please extend the tests in configure.in, rather than
	defining this in prefix.your_system.

	Another autoconf cleanup:  o check for the existence of the
	function strcasecmp and stricmp  o replaced STRICMP

2002-08-26 13:59  eku

	* firebird2/configure.in (1.36):

	Another autoconf cleanup:  o check for the existence of the
	function mmap  o replaced MMAP_SUPPORTED by HAVE_MMAP

2002-08-22 13:30  eku

	* firebird2/configure.in (1.35):

	Check for the existence of the function snprintf. Added a
	work-around for systems like SINIX-Z, that do not have snprintf. We
	really need a plug-in replacement for those systems.

2002-08-22 12:48  eku

	* firebird2/configure.in (1.34):

	Another autoconf cleanup:  o check for the existence of the
	function sigaction  o replaced SIGACTION_SUPPORTED with
	HAVE_SIGACTION

2002-08-22 11:07  eku

	* firebird2/configure.in (1.33):

	Unset a cached variable before rerunning a test.

2002-08-22 09:56  eku

	* firebird2/configure.in (1.32):

	Major cleanup of the autoconf stuff:

	 o changed the order of the tests, because some tests rely on the
	result
	   of others
	 o removed test for CONST as suggested by Dmitry Yemanov
	 o added test for 64 bit I/O support
	 o added SINIX-Z specific cases

2002-08-16 15:34  eku

	* firebird2/configure.in (1.31):

	Fixed error with last check-in.

2002-08-14 15:43  eku

	* firebird2/configure.in (1.30):

	Check for return type of function 'signal'.

2002-08-14 15:10  eku

	* firebird2/configure.in (1.29):

	Set default values for configureable options.

2002-08-14 14:27  eku

	* firebird2/configure.in (1.28):

	Minor 'dirname' cleanup:

	 o check for the availability in configure
	 o removed the ugly test in flu.cpp
	 o synchronised config.h.in and MSVC pendant

	NOTE: If you have problems on your system, don't change the source.
	       Extend the tests in configure.in!!!

2002-08-14 14:15  eku

	* firebird2/configure.in (1.27):

	Fixed some typos.

2002-08-14 14:13  eku

	* firebird2/configure.in (1.26):

	Architecture and production type are now a command line switch to
	configure. See 'configure --help' for details.

2002-08-14 13:44  eku

	* firebird2/configure.in (1.25):

	Huge 'times' cleanup:

	 o check for the availability in configure
	 o removed the define NO_TIMES
	 o synchronised config.h.in and MSVC pendant

	NOTE: If you have problems on your system, don't change the source.
	       Extend the tests in configure.in!!!

2002-08-14 13:13  eku

	* firebird2/: autogen.sh (1.3), configure.in (1.24):

	Huge 'gettimeofday' cleanup:

	 o check for the availability in configure
	 o check for the number of arguments in configure
	 o synchronised config.h.in and MSVC pendant

	NOTE: If you have problems on your system, don't change the source.
	       Extend the tests in configure.in!!!

2002-08-14 07:45  eku

	* firebird2/configure (1.21):

	Use autogen.sh to generate configure from configure.in on your
	machine.

2002-08-14 07:44  eku

	* firebird2/autogen.sh (1.2):

	Small type in the CVS placeholder.

2002-08-14 07:43  eku

	* firebird2/autogen.sh (1.1):

	autogen.sh replaces configure in CVS. Run autogen.sh create all the
	initial files (configure etc.).

2002-08-13 14:12  eku

	* firebird2/configure (1.20):

	Updated configure from configure.in.

2002-08-05 18:34  skywalker

	* firebird2/configure.in (1.23):

	Changed to make build with new structure possible.

2002-07-29 17:43  skywalker

	* firebird2/configure.in (1.22):

	Changed to work with super build as well as classic.  The makefile
	now come from builds/posix rather than src/make.new

2002-07-15 09:00  eku

	* firebird2/: configure (1.19), configure.in (1.21):

	The good old Bourne Shell does not implement the command 'source'.

2002-07-06 07:31  skywalker

	* firebird2/configure.in (1.20):

	Merge final changes from fb1 tree.

2002-07-05 17:00  skywalker

	* firebird2/: configure (1.18), configure.in (1.19):

	Changes to get compiling on linux (post fb1 changes).

2002-07-04 11:34  skywalker

	* firebird2/: configure (1.17), configure.in (1.18):

	Changes for rebuild of fb2.

2002-07-03 12:04  eku

	* firebird2/: configure (1.16), configure.in (1.17):

	Support SINIX-Z as a platform.

2002-07-01 18:59  skywalker

	* firebird2/: configure (1.15), configure.in (1.16):

	Merged change from fb1.

2002-06-29 18:41  skywalker

	* firebird2/configure.in (1.15):

	Porting changes made to fb1.

2002-06-23 21:51  paul_reeves

	* firebird2/configure.in (1.14):

	Updated code to support building under Linux. Main changes are to
	support the platform manager and the move of kanji.* to /intl.

2002-01-21 16:26  kkuznetsov

	* firebird2/configure.in (1.13):

	I forgot ";"

2002-01-21 12:54  kkuznetsov

	* firebird2/configure.in (1.12):


	fist try to port IT to Solaris X86

2002-01-04 12:48  skywalker

	* firebird2/: configure (1.14), configure.in (1.11):

	Changed one or two of the headers that are checked for.

2001-08-27 17:29  skywalker

	* firebird2/: configure (1.13), configure.in (1.10):

	Changed to make install work better.  Fix build of shared library
	so global objects have thier constructors called Added readline to
	isql Added version numbers to libgds.so.2.0.0 Change install
	location and version to be driven from ./configure file

2001-08-15 20:10  skywalker

	* firebird2/: configure (1.12), configure.in (1.9):

	Some changes to work on classic install, (it's not complete as yet
	but it's getting there)

2001-08-15 10:44  skywalker

	* firebird2/: configure (1.11), configure.in (1.8):

	Updated the build num process

2001-08-14 19:41  skywalker

	* firebird2/: configure (1.10), configure.in (1.7):

	Changes to detect socklen_t properly, and a bit more on install

2001-08-13 10:14  skywalker

	* firebird2/: configure (1.9), configure.in (1.6):

	Change makefiles to not touch source files to rebuild (it was
	making it hell to checkin to cvs since it then did a diff on all
	files) Did a little bit with install.

2001-08-05 00:48  bellardo

	* firebird2/: configure (1.8), configure.in (1.5):

	First round of changes to FB2 to get the Darwin build working
	again.

2001-08-02 09:03  skywalker

	* firebird2/: configure (1.7), configure.in (1.4):

	A few changes to the install routine.

2001-08-01 10:11  skywalker

	* firebird2/: configure (1.6), configure.in (1.3):

	More changes to straighten out compile, fix up makefiles to build
	into GEN_ROOT directory

2001-07-31 20:34  skywalker

	* firebird2/: Makefile.in (1.1), configure (1.5), configure.in
	(1.2):

	Changes to make compile with new script

2001-07-31 10:42  skywalker

	* firebird2/: configure (1.4), configure.in (1.1):

	Modified to use new makefiles

2001-07-12 21:51  bellardo

	* firebird2/configure (1.3):

	Added HAVE_SIGNAL_H to autoconf.

2001-07-12 19:01  bellardo

	* firebird2/configure (1.2):

	Added ability to create needed symlinks (objs/source) to the
	configure script.

2001-07-12 08:32  bellardo

	* firebird2/configure (1.1):

	More changes to convert FB2 to c++.  This time is files that have
	been renamed and some conflict resolutions on files edited by more
	than one person at once.

